From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-misc/turbovnc/
Date: Mon, 5 Sep 2022 12:37:24 +0000 (UTC) [thread overview]
Message-ID: <1662381433.3f13ace2b6ddd8681e8aed1e24ebef92d9fc4f5d.juippis@gentoo> (raw)
commit: 3f13ace2b6ddd8681e8aed1e24ebef92d9fc4f5d
Author: Viorel Munteanu <ceamac.paragon <AT> gmail <DOT> com>
AuthorDate: Sun Aug 21 17:40:26 2022 +0000
Commit: Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Mon Sep 5 12:37:13 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3f13ace2
net-misc/turbovnc: add 3.0.1
Bug: https://bugs.gentoo.org/864809
Closes: https://bugs.gentoo.org/865919
Signed-off-by: Viorel Munteanu <ceamac.paragon <AT> gmail.com>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>
net-misc/turbovnc/Manifest | 1 +
net-misc/turbovnc/turbovnc-3.0.1.ebuild | 103 ++++++++++++++++++++++++++++++++
2 files changed, 104 insertions(+)
diff --git a/net-misc/turbovnc/Manifest b/net-misc/turbovnc/Manifest
index faae4b9ed0f4..f4dc586966f7 100644
--- a/net-misc/turbovnc/Manifest
+++ b/net-misc/turbovnc/Manifest
@@ -1,2 +1,3 @@
DIST turbovnc-2.2.7.tar.gz 8789325 BLAKE2B 257a9c9b3793b40668bf2f3bd9839b3003364f9130699caa52beaec24b75cb054830ee1b1aa67a22eb6173afc9af99c51e45fa3fa52e050c78e5226466ce99ce SHA512 932faa645a71b825e467bdcdb4b872e961ad688c959beb0adbdd35d77969d856bb5c82b893afe8f6b0aa8be18cac3fa9192ce05074295c92a83f1a2344468788
+DIST turbovnc-3.0.1.tar.gz 8685384 BLAKE2B 388657bac29ccd570b0a5e03ca49cb5b868907390743241599f84d900707ffc685d021702167e7f615004eafd545120de3dbd4c61e0e206ce2d4227ff54ea86a SHA512 1d205db7fa23730e32752b0bc449a4cd2920ce7d065184bc84e49041dcd8db0e057fd7923635b74b09ab7957568d34f70dc1dd96b77b0905e80b4a5f1d8f28db
DIST turbovnc-3.0.tar.gz 8665757 BLAKE2B 98600dc1f4fd91b30c8c48f2e465aa4cb9c53190c08611374ed6e1ef59be585f1694a1c6827939dec9cf259bd0e9a8fbdea9194653f5a3c66eb97cca1e12b09b SHA512 baa5f62fa1d76a09dc16262d853598b9d9ba8a12f3804c27df6af4983700b4dc1ad7f981ea02e2dc4d36c29b0cd7a1d7a7a8c98b7ae971cbc688ca30fd5c19ec
diff --git a/net-misc/turbovnc/turbovnc-3.0.1.ebuild b/net-misc/turbovnc/turbovnc-3.0.1.ebuild
new file mode 100644
index 000000000000..c8982a2ba230
--- /dev/null
+++ b/net-misc/turbovnc/turbovnc-3.0.1.ebuild
@@ -0,0 +1,103 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake desktop java-pkg-opt-2
+
+DESCRIPTION="A fast replacement for TigerVNC"
+HOMEPAGE="https://www.turbovnc.org/"
+SRC_URI="https://sourceforge.net/projects/turbovnc/files/${PV}/${P}.tar.gz/download -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="+ssl"
+
+COMMON_DEPEND="
+ app-arch/bzip2
+ media-libs/freetype
+ >=media-libs/libjpeg-turbo-2.0.0:=[java?]
+ sys-libs/pam
+ sys-libs/zlib
+ virtual/opengl
+ x11-apps/xauth
+ x11-libs/libfontenc
+ x11-libs/libX11
+ x11-libs/libXau
+ x11-libs/libXdmcp
+ x11-libs/libXext
+ x11-libs/libXfont2
+ x11-libs/libxkbfile
+ x11-libs/pixman
+ x11-misc/xkeyboard-config
+ java? (
+ >=virtual/jdk-1.8:*
+ x11-libs/libXi
+ !net-misc/tigervnc
+ )
+ ssl? ( dev-libs/openssl:= )
+ !net-misc/tigervnc[server]
+"
+RDEPEND="
+ ${COMMON_DEPEND}
+ x11-apps/xkbcomp
+"
+DEPEND="
+ ${COMMON_DEPEND}
+ x11-libs/xtrans
+"
+
+PATCHES=( "${FILESDIR}"/"${PN}"-3.0-fix-musl-compilation.patch )
+
+src_prepare() {
+ use java && java-pkg-opt-2_src_prepare
+ cmake_src_prepare
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DTVNC_SYSTEMX11=ON
+ -DTVNC_SYSTEMLIBS=ON
+ -DTVNC_BUILDVIEWER=$(usex java)
+ -DTVNC_BUILDHELPER=$(usex java)
+ -DXKB_BIN_DIRECTORY=/usr/bin
+ -DXKB_DFLT_RULES=base
+ )
+
+ if use ssl ; then
+ # Link properly against OpenSSL to ensure
+ # we catch e.g. ABI change
+ # (i.e. don't dlopen it)
+ mycmakeargs+=(
+ -DTVNC_USETLS=OpenSSL
+ -DTVNC_DLOPENSSL=OFF
+ )
+ else
+ mycmakeargs+=( -DTVNC_USETLS=OFF )
+ fi
+
+ if use java ; then
+ export JAVACFLAGS="$(java-pkg_javac-args)"
+ export JNI_CFLAGS="$(java-pkg_get-jni-cflags)"
+ fi
+
+ cmake_src_configure
+}
+
+src_install() {
+ cmake_src_install
+
+ if use java ; then
+ java-pkg_dojar "${BUILD_DIR}"/java/VncViewer.jar
+ make_desktop_entry vncviewer "TurboVNC Viewer" /usr/share/icons/hicolor/48x48/apps/${PN}.png
+ fi
+
+ # Don't install incompatible init script
+ rm -rf "${ED}"/etc/init.d/ || die
+ rm -rf "${ED}"/etc/sysconfig/ || die
+
+ find "${ED}"/usr/share/man/man1/ -name Xserver.1\* -delete || die
+
+ einstalldocs
+}
next reply other threads:[~2022-09-05 12:37 UTC|newest]
Thread overview: 46+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-09-05 12:37 Joonas Niilola [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-09 16:40 [gentoo-commits] repo/gentoo:master commit in: net-misc/turbovnc/ Viorel Munteanu
2025-02-09 12:11 Viorel Munteanu
2025-02-09 12:11 Viorel Munteanu
2024-12-20 15:51 Viorel Munteanu
2024-12-20 15:51 Viorel Munteanu
2024-12-20 15:51 Viorel Munteanu
2024-11-09 8:54 Viorel Munteanu
2024-08-09 7:14 Viorel Munteanu
2024-08-09 7:14 Viorel Munteanu
2024-01-28 7:38 Viorel Munteanu
2023-11-29 22:09 Viorel Munteanu
2023-11-19 7:41 Viorel Munteanu
2023-11-19 7:41 Viorel Munteanu
2023-08-18 16:48 Viorel Munteanu
2023-05-12 4:40 Viorel Munteanu
2023-05-12 4:40 Viorel Munteanu
2023-02-28 5:45 Viorel Munteanu
2023-01-15 8:39 Viorel Munteanu
2022-12-30 9:18 Viorel Munteanu
2022-12-30 9:18 Viorel Munteanu
2022-12-30 9:18 Viorel Munteanu
2022-11-02 16:17 Viorel Munteanu
2022-10-29 21:32 Sam James
2022-09-05 12:37 Joonas Niilola
2022-04-18 7:27 Joonas Niilola
2022-02-27 0:19 Sam James
2022-02-20 5:51 Sam James
2022-02-18 1:12 Sam James
2022-02-18 1:12 Sam James
2021-12-22 5:24 Sam James
2021-03-01 16:42 Sam James
2021-03-01 16:42 Sam James
2021-03-01 16:42 Sam James
2021-03-01 16:08 Sam James
2021-03-01 16:08 Sam James
2021-03-01 16:08 Sam James
2021-03-01 15:54 Sam James
2021-03-01 15:54 Sam James
2021-03-01 15:43 Sam James
2021-03-01 15:42 Sam James
2021-03-01 15:28 Sam James
2021-03-01 15:26 Sam James
2021-03-01 15:26 Sam James
2021-03-01 15:26 Sam James
2021-03-01 15:26 Sam James
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1662381433.3f13ace2b6ddd8681e8aed1e24ebef92d9fc4f5d.juippis@gentoo \
--to=juippis@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox